Bug 9896 - Show vendor in subscription search when creating an order for a subscription
Summary: Show vendor in subscription search when creating an order for a subscription
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Andreas Roussos
QA Contact:
URL: /cgi-bin/koha/acqui/newordersubscript...
Keywords:
Depends on: 5343
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-22 10:31 UTC by Katrin Fischer
Modified: 2017-06-14 22:14 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
In the staff client, when creating an order from a subscription the vendor name is be shown in a separate column.
Version(s) released in:


Attachments
Bug 9896 - Show vendor in subscription search when creating an order for a subscription (3.02 KB, patch)
2016-09-13 14:45 UTC, Andreas Roussos
Details | Diff | Splinter Review
Bug 9896 - Show vendor in subscription search when creating an order for a subscription (3.09 KB, patch)
2016-09-16 16:34 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 9896 - Show vendor in subscription search when creating an order for a subscription (3.19 KB, patch)
2016-09-16 16:38 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 9896 - Show vendor in subscription search when creating an order for a subscription (3.26 KB, patch)
2016-09-18 09:45 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-03-22 10:31:49 UTC
When creating an order from a subscription (see bug 5343) the vendor should be shown in a separate column.
Comment 1 Katrin Fischer 2013-03-22 10:41:43 UTC
On the subscription view there is a little typo in the acquisition section:
'See invoice informations' should be 'information'
fund should be Fund (column name)
Comment 2 Andreas Roussos 2016-09-13 14:35:18 UTC
This is still relevant as of the current master (e330b69).
It's easy to fix, so I'll submit a patch soon.

(In reply to Katrin Fischer from comment #1)
> On the subscription view there is a little typo in the acquisition section:
> 'See invoice informations' should be 'information'
> fund should be Fund (column name)

I can't seem to find these typos, presumably they got fixed?
Comment 3 Andreas Roussos 2016-09-13 14:45:40 UTC
Created attachment 55539 [details] [review]
Bug 9896 - Show vendor in subscription search when creating an order for a subscription

In the staff client, when creating an order from a subscription
the vendor name should be shown in a separate column.

This patch adds that feature. The 'Vendor' column is added before
the 'Library' column since they appear in that order in Advanced
search.

Test plan:
0) [PREREQUISITES] In the Staff client, under Acquisitions, create
   a Vendor and associated Basket if you don't already have them.
   Then, under Serials, add a new Subscription using the Vendor
   you've just created.
1) Go to Acquisitions, and under 'Manage orders' search for a vendor,
   then click on 'Add to basket' and select 'From a subscription'.
2) Click 'Search' on the left hand side to search for all subscriptions.
   Notice how there is no 'Vendor' column in the results table.
3) Apply the patch.
4) Repeat step 2. Confirm that the patch works, i.e. there is now
   a 'Vendor' column which displays the vendor name.
Comment 4 Marc Véron 2016-09-16 16:34:09 UTC
Created attachment 55622 [details] [review]
Bug 9896 - Show vendor in subscription search when creating an order for a subscription

In the staff client, when creating an order from a subscription
the vendor name should be shown in a separate column.

This patch adds that feature. The 'Vendor' column is added before
the 'Library' column since they appear in that order in Advanced
search.

Test plan:
0) [PREREQUISITES] In the Staff client, under Acquisitions, create
   a Vendor and associated Basket if you don't already have them.
   Then, under Serials, add a new Subscription using the Vendor
   you've just created.
1) Go to Acquisitions, and under 'Manage orders' search for a vendor,
   then click on 'Add to basket' and select 'From a subscription'.
2) Click 'Search' on the left hand side to search for all subscriptions.
   Notice how there is no 'Vendor' column in the results table.
3) Apply the patch.
4) Repeat step 2. Confirm that the patch works, i.e. there is now
   a 'Vendor' column which displays the vendor name.

Followed test plan, works as expected.
Signed-off-by: Marc <veron@veron.ch>
Comment 5 Marc Véron 2016-09-16 16:38:49 UTC
Created attachment 55624 [details] [review]
Bug 9896 - Show vendor in subscription search when creating an order for a subscription

In the staff client, when creating an order from a subscription
the vendor name should be shown in a separate column.

This patch adds that feature. The 'Vendor' column is added before
the 'Library' column since they appear in that order in Advanced
search.

Test plan:
0) [PREREQUISITES] In the Staff client, under Acquisitions, create
   a Vendor and associated Basket if you don't already have them.
   Then, under Serials, add a new Subscription using the Vendor
   you've just created.
1) Go to Acquisitions, and under 'Manage orders' search for a vendor,
   then click on 'Add to basket' and select 'From a subscription'.
2) Click 'Search' on the left hand side to search for all subscriptions.
   Notice how there is no 'Vendor' column in the results table.
3) Apply the patch.
4) Repeat step 2. Confirm that the patch works, i.e. there is now
   a 'Vendor' column which displays the vendor name.

Followed test plan, works as expected.

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 6 Katrin Fischer 2016-09-18 09:45:19 UTC
Created attachment 55641 [details] [review]
[PASSED QA] Bug 9896 - Show vendor in subscription search when creating an order for a subscription

In the staff client, when creating an order from a subscription
the vendor name should be shown in a separate column.

This patch adds that feature. The 'Vendor' column is added before
the 'Library' column since they appear in that order in Advanced
search.

Test plan:
0) [PREREQUISITES] In the Staff client, under Acquisitions, create
   a Vendor and associated Basket if you don't already have them.
   Then, under Serials, add a new Subscription using the Vendor
   you've just created.
1) Go to Acquisitions, and under 'Manage orders' search for a vendor,
   then click on 'Add to basket' and select 'From a subscription'.
2) Click 'Search' on the left hand side to search for all subscriptions.
   Notice how there is no 'Vendor' column in the results table.
3) Apply the patch.
4) Repeat step 2. Confirm that the patch works, i.e. there is now
   a 'Vendor' column which displays the vendor name.

Followed test plan, works as expected.

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 7 Kyle M Hall 2016-09-27 11:33:26 UTC
Pushed to master for 16.11, thanks Andreas!
Comment 8 Frédéric Demians 2016-09-30 09:16:01 UTC
Pushed in 16.05. Will be in 16.05.05.